Get Loyalty Events

Retrieves the details of loyalty events triggered for the customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v2/customers/564955097/loyaltyEvents' \
--header 'Authorization: Basic =' \
--header 'Cookie: _cfuvid=SPpJZvR8VvAMacotHKvjCBzkT.A38OIejYNSsGOXido-1757310494558-0.0.1.1-604800000'

Prerequisites

  • Basic or OAuth credentials
  • Read access to Points access group resource

API endpoint example

https://eu.api.capillarytech.com/v2/customers/565039505/loyaltyEvents

curl --location 'https://eu.api.capillarytech.com/v2/customers/565039505/loyaltyEvents' \
--header 'Authorization: Basic 
c2FudC5wXzEyMzpiMmVhMGFhYWI1ZThmODg5ZTAzNGE2NjA5NTIwM2FlNw==' \
--header 'Cookie: 
_cfuvid=uEUwrBAfGGgkRhH8C6wGyc6ShByhFRsEdpQj1e8WSGU-1750831646379-0.0.1.1-
604800000'

Resource Information

FieldValue
URIv2/[customerId]/loyaltyEvents
HTTP MethodGET
Rate LimitedYes
AuthenticationYes (Bearer token)
Batch SupportNo

Header information

Header KeyDescription
AuthorizationBearer token for authentication. Example: Bearer <your_access_token>.
Content-TypeSpecifies the media type of the request. Use application/json for JSON.
AcceptDefines the response format. Example: application/json or application/xml.
X-Capillary-OrgIdUnique organization ID for which the API is being called.
X-Capillary-App-KeyApplication key for API access.
X-CAP-API-OAUTH-TOKENThis header is a custom authentication header used to pass the OAuth access token for API authentication. Refer to https://docs.capillarytech.com/reference/oauth#/

Request Parameters

Path Parameters

ParameterTypeDescription
customerIdlongUnique ID of the customer.

Query Parameters

ParameterTypeDescription
limitintMaximum records per page. Default value: 10
offsetintRecords to skip (zero-based). Default offset value: 0
pageintPage number (overrides offset if both provided). Default value: 1
eventTypestringFilter by event type (e.g., EARN, REDEEM, EXPIRE, TRANSFER).
fromDatestringStart date for filtering events (format: YYYY-MM-DD).
toDatestringEnd date for filtering events (format: YYYY-MM-DD).

Response Parameters

ParameterTypeDescription
idlongUnique identifier for the loyalty event.
customerIdlongUnique ID of the customer associated with the event.
datestringTimestamp of the event in ISO 8601 format (e.g., "2025-02-28T06:16:16Z").
eventNamestringName/type of the event (e.g., "CustomerRegistration").
orgIdlongUnique ID of the organization where the event occurred.
statusstringStatus of the event (e.g., "SUCCESS", "FAILED").
uniqueIdstringUnique reference ID for the event (e.g., "eQmzQLEfVb").
{
    "data": [
        {
            "id": 1603616021,
            "customerId": 565039505,
            "date": "2025-02-28T06:16:16Z",
            "eventName": "CustomerRegistration",
            "orgId": 100737,
            "status": "SUCCESS",
            "uniqueId": "eQmzQLEfVb"
        },
        {
            "id": 1603618101,
            "customerId": 565039505,
            "date": "2025-02-28T06:56:04Z",
            "eventName": "CustomerUpdate",
            "orgId": 100737,
            "status": "SUCCESS",
            "uniqueId": "RnPyaWafs6"
        }
    ],
    "warnings": [],
    "errors": []
}
{
    "data": [
        {
            "id": 1602578009,
            "customerId": 564955097,
            "date": "2025-02-18T03:54:14Z",
            "eventName": "CustomerRegistration",
            "orgId": 100737,
            "status": "SUCCESS",
            "uniqueId": "D76aXtwJPP"
        }
    ],
    "warnings": [],
    "errors": []
}

API specific errors

Error codeDescriptionReason
8069Merged customer foundAPI request is made for a customer who has been merged.
8015Customer not found for the given identifiersInvalid Customer ID passed

Path Params
int64
required

Unique ID of the customer to fetch loyalty events.

Headers
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json